Subject: Re: EMAC OF binding....

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 10 Jan 2007 08:45:57 +1100

> You give the phandle of your emac node as argument, that
> works just fine with what I proposed too (the SoC PM node
> knows the phandles of the emac's).  I think your way isn't
> all that clean architecturally and can easily lead to
> problems later on; the emac shouldn't have to know *anything*
> about the structure of the SoC.
> 
> But feel free to do what you want, it's certainly not
> a *huge* problem ;-)

Well, we use that method for most things,for example, the emac has
phandles to the zmii/rgmii/etc... for that specific case however, I
still prefer a cell index.

Ben.